Welcome

Welcome to Registry Workshop

Registry Workshop is an advanced registry editor. It is a perfect replacement for RegEdit and RegEdt32 which shipped with Windows.

In addition to all the standard features, Registry Workshop adds a variety of powerful features that allow you to work faster and more efficiently with registry related tasks. You can cut, copy and paste registry keys and values. You can undo and redo modifications. You can search and replace registry keys, values and data quickly and easily. It allows edit REG files in the same way as editing system registry. It also offers easy and flexible functions to manage Favorites.

With Registry Workshop, registry editing becomes more safe than ever before. All changes except changing key permissions can be safely reversed, using multiple levels of Undo. You don't need to worry about making mistakes when editing registry.

Whether you are an advanced user who needs to edit and modify your registry to remove trojan, virus, and spyware entries, a system administrator who needs a safer, more efficient tool to maintain your company's PCs, or a software developer who needs to quickly manipulate registry keys and values during system development, Registry Workshop has the tools that you need.


Features

Registry Workshop key features

  • Multiple undo and redo. The undo history can be saved to disk and reloaded at startup.

  • Search and replace registry keys, values and data with super fast search algorithm.

  • Compare registries between computers and/or .REG files with super fast speed.

  • Connect mobile device registry with ActiveSync.

  • Cut, copy and paste registry keys and values.

  • Drag and drop to move or copy registry keys and values.

  • Edit .REG files and .POL files in the same way as editing system registry.

  • Backup and restore registry.

  • Defragment registry.

  • Easy and flexible Favorites management.

  • Quickly browse registry with address bar, bookmarks and visitation history.

  • Support of linkage aware ability. You can use context menu to navigate to referenced key, open containing folder or open URL if the key or value contains a ProgID, ClassID, folder, file path or URL.

  • Jump to the same key in HKLM or HKCU by context menu.

  • Allow to open multiple local registry windows.

  • Allow to open secure registry keys when running under the administrator privilege.

  • Edit binary data in BYTE, WORD or DWORD format.


Installation

System Requirements

  • Windows NT 4.0 (Service Pack 6)
  • Windows 2000
  • Windows XP (32-bit and 64-bit)
  • Windows 2003 (32-bit and 64-bit)
  • Windows Vista (32-bit and 64-bit)

Installation

Run RegistryWorkshop.exe and follow the instructions.

Uninstallation

Run 'Uninstall' on the Registry Workshop Start Menu folder or open 'Add/Remove Programs' in Control Panel and double-click 'Registry Workshop' in the list box.


License

License Agreement
You should carefully read the following terms and conditions before using this software. By using this software you indicate your acceptance of this license agreement and warranty.

Evaluation and Registration
Registry Workshop is shareware. You may use this software for evaluation purposes without charge for a period of 30 days. If you use this software after the 30 day evaluation period, you must pay registration fee.

Distribution of the evaluation version
You may copy the evaluation version of this software and documentation as you wish, and give exact copies of the original evaluation version to anyone, and distribute the evaluation version of the software and documentation in its unmodified form via electronic means. But you should not charge or requesting donations for any such copies however made and from distributing the software and/or documentation with other products without the author's written permission.

Registered version
One registered copy of Registry Workshop may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used non-simultaneously by multiple people, but not both. You may access the registered version of Registry Workshop through a network, provided that you have obtained individual licenses for the software covering all workstations that will access the software through the network.

NO WARRANTY
THIS SOFTWARE IS SOLD "AS IS" AND WITHOUT ANY WARRANTY AS TO MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE OR ANY OTHER WARRANTIES EITHER EXPRESSED OR IMPLIED. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.


Registration

Registry Workshop is NOT a free software. You may use this software for evaluation purposes without charge for a period of 30 days. If you use this software after the 30 day evaluation period, you must pay registration fee.

Benefits for registered users

  • Free updates in the lifetime of this product.

  • Free technical support by e-mail.

  • By registering Registry Workshop you are supporting the further development of this software.


Support

Homepage

If you want to get the latest information about Registry Workshop, please visit our homepage on the web. You can also download latest version of Registry Workshop at our homepage.
http://www.torchsoft.com

Feedback

Please send any bug report, suggestion, question and comment to the author at following address.
support@torchsoft.com

If you want to report a bug please provide the following information:

  • Can you reproduce the bug? If so, please describe the steps that lead to the error you're encountering. Be as precise as possible.

  • Which version of Registry Workshop are you using?

  • Which version of Windows are you using?

  • If an error message was displayed, please quote the exact content of that message.


Frequently asked questions

  • What is the relationship between registry hives and files?
  • How can I edit registry on non-bootable Windows system?
  • I can not delete a registry key, is there any way to work around this problem?
  • Can I use abbreviation of root keys in the address bar?
  • I see HKLM and HKU in the snapshot. What about HKCR, HKCU and HKCC?

What is the relationship between registry hives and files?

Windows maintains a list of which hives exist on a particular machine in HKLM\SYSTEM\CurrentControlSet\Control\hivelist. The following table lists standard registry hives and corresponding files.

Regisrty Hive | File
HKLM\SAM | %SystemRoot%\System32\Config\SAM
HKLM\SECURITY | %SystemRoot%\System32\Config\Security
HKLM\SOFTWARE | %SystemRoot%\System32\Config\Software
HKLM\SYSTEM | %SystemRoot%\System32\Config\System
HKU\.DEFAULT | %SystemRoot%\System32\Config\DEFAULT
HKU\SID | Documents and Settings\userName\NTUSER.DAT
HKU\SID_Classes | Documents and Settings\userName\Local Settings \Application Data\Microsoft\Windows\UsrClass.dat

How can I edit registry on non-bootable Windows system?

You can move the hard disk with the corrupted Windows to another computer, use the Load Hive function to load the registry hive and edit it.

I can not delete a registry key, is there any way to work around this problem?

If you are sure it's not a permission problem, you can try the following steps.

  • Select any registry key and export the key to a registry hive file. For performance reason, please do not select a key contains a lot of subkeys and values.
  • Select the parent key of the key you want to delete. If there are other keys and values in the parent key, move these keys and values to other place or export to a REG file.
  • Import the registry hive file on top of the parent key. This operation will overwrite everything in the parent key.
  • Delete the imported keys and values and restore the old content.

Can I use abbreviation of root keys in the address bar?

Yes, you can use following abbreviations.

Root Key | Abbreviation
HKEY_CLASSES_ROOT | HKCR
HKEY_CURRENT_USER | HKCU
HKEY_LOCAL_MACHINE | HKLM
HKEY_USERS | HKU
HKEY_CURRENT_CONFIG | HKCC

I see HKLM and HKU in the snapshot. What about HKCR, HKCU and HKCC?

HKLM and HKU contain all registry data. HKCR, HKCU and HKCC are just links.

Root Key | Equivalent
HKCR | HKCU\Software\Classes + HKLM\SOFTWARE\Classes
HKCU | HKU\SID
HKCC | HKLM\SYSTEM\CurrentControlSet\Hardware Profiles\Current


Shortcut keys

The following table lists the shortcut keys used in Registry Workshop.

Shortcut keys | Description
F1 | Opens help file
Ctrl + N | Creates a new REG file
Ctrl + O | Opens an existing REG file
Ctrl + S | Saves the active REG file
Alt + F4 | Quits Registry Workshop
Alt + Enter | Opens key properties dialog
Ctrl + A | Selects all items in the list
Ctrl + Z | Undoes the last action
Ctrl + Y | Redoes the previously undone action
Ctrl + C, Ctrl + Ins | Copies the selection and put it on the Clipboard
Ctrl + X, Shift + Del | Cuts the selection and put it on the Clipboard
Ctrl + V, Shift + Ins | Inserts Clipboard contents
Del | Deletes the selection
F2 | Renames the selection
Ctrl + F | Opens Find dialog
Alt + F3 | Searches again using last find criteria
F3 | Goes to the next matched key or value in last find results
Shift + F3 | Goes to the previous matched key or value in last find results
Ctrl + G | Opens Go To Key dialog
Alt + D | Active address bar
F4 | Active address bar and pull down the list
F5 | Refreshes the active registry window
F6 | Goes to the next bookmark
Shift + F6 | Goes to the previous bookmark
Ctrl + [1, 2, 3, 4, 5, 6, 7, 8, 9, 0] | Set or toggle bookmark
Alt + [1, 2, 3, 4, 5, 6, 7, 8, 9, 0] | Goes to the bookmark
F7 | Switches between registry window and docking pane window
Ctrl + F7 | Switches to the next docking pane window
Ctrl + Shift + F7 | Switches to the previous docking pane window
Tab | Switches between registry tree and registry list in registry window, or switches between the two lists in Compare Results window
Ctrl + Tab | Switches to the next registry window
Ctrl + Shift + Tab | Switches to the previous registry window
F11 | Goes to the next difference in the compare results list
Shift + F11 | Goes to the previous difference in the compare results list
Alt + Up Arrow | Goes up one level
Alt + Left Arrow | Goes to the previous key in visitation history
Alt + Right Arrow | Goes to the next key in visitation history
Applications key, Shift + F10 | Displays context menu


Command line options

Command line options syntax

Registry Workshop has a number of command line options to help automate it's use in either batch files or from the command prompt.

RegWorkshop.exe [options] [filename] [regpath]
[filename] | Open the registry file in Registry Workshop.
/g [regpath] | Open Registry Workshop and jump to [regpath].
/f [string] | Open Registry Workshop and search the entire registry for [string] with default search parameters.
/s [filename] | Import the registry file without any confirmation.
/e [filename] [regpath] | Export the registry to [filename] starting at [regpath]. Example: RegWorkshop /e c:\temp.reg "HKEY_CURRENT_USER\Control Panel"
/a [filename] [regpath] | Same as /e but always generate version 4 registry files.

Notes

  • The [filename] and [regpath] must be enclosed in double quotes if it contains spaces.
  • Registry Workshop will run as console applications when using /s, /e and /a options.

reg: URL protocol syntax

Registry Workshop supports the reg: URL protocol and allows you to open any registry key with Registry Workshop using the address bar of explorer. This feature can also be used to embed registry links into HTML pages and documents that would force Registry Workshop to open and jump to a specific registry key.

reg:[regpath]

Example1: reg:HKEY_CURRENT_USER\Control Panel
Example2: reg:HKCU\Control Panel

Notes

  • The [regpath] should not be enclosed in double quotes.


Add Key

Add a registry key

  1. In the registry tree, click the registry key under which you would like to add a new key.
  2. On the Edit menu, click New Key.
  3. Type a name for the new key, and then press ENTER.


Add Value

Add a registry value

  1. Click the key where you want to add the new value.
  2. On the Edit menu, point to New, and then click the type of value you want to add: String Value, Binary Value, DWORD Value, Multi-String Value, Expandable String Value, Big Endian DWORD Value, QWORD Value, Link Value, Resource List Value, Full Resource Descriptor Value, or Resource Requirements List Value.
  3. Type a name for the new value, then press ENTER.


Change Value

Change a registry value

  1. Select the value you want to change.
  2. On the Edit menu, click Modify.
  3. In Value data, type the new data for the value, and then click OK..


Delete Key and Value

Delete registry keys and values

  1. Select the keys and values you want to delete.
  2. On the Edit menu, click Delete.


Rename Key or Value

Rename a registry key or value

  1. Click the key or value you want to rename.
  2. On the Edit menu, click Rename.
  3. Type the new name, and then press ENTER.


Cut

Cut registry keys and values

  1. Select the keys and values you want to cut.
  2. On the Edit menu, click Cut.


Copy

Copy registry keys and values

  1. Select the keys and values you want to copy.
  2. On the Edit menu, click Copy.


Paste

Paste registry keys and values

  1. Click the key where you want to paste.
  2. On the Edit menu, click Paste.


Permissions

Edit permissions of a registry keys

  1. Click the key which you want to edit permission.
  2. On the Edit menu, click Permissions.


Copy Key Name

Copy a registry key name

  1. Select the key you want to copy key name.
  2. Right click to show the popup menu.
  3. To copy the full key name, click Copy Full Key Name. To copy current name only, click Copy Key Name.
  4. Paste the name of the registry key into another program or document.


Copy Value Name

Copy a registry value name

  1. Select the value you want to copy value name.
  2. Right click to show the popup menu.
  3. Click Copy Value Name.
  4. Paste the name of the registry value into another program or document.


Copy Value Data

Copy data of a registry value

  1. Select the value you want to copy data.
  2. Right click to show the popup menu.
  3. Click Copy Value Data.
  4. Paste the data of the registry value into another program or document.


Mark As Delete

Mark registry keys and values as delete

This feature is only for registry files. Using this feature you can add delete command to registry files.

  1. Select the keys and values.
  2. Right click to show the popup menu.
  3. Click Mark As Delete.

Notes

  • If the key or value is already marked as delete, perform this operation again will toggle the state.
  • If you want the key will be deleted when importing the registry file, you must delete all the sub keys and values in the key.
  • This operation does not support undo and redo.


Find

Find in the registry

  1. If you want to search in a specified registry key, click the key where you want to search.
  2. On the Search menu, click Find.
  3. In Find what, type what you want to find.
  4. Select the Search keys, Search values, Search data, and Match Case, Match whole string, Use wildcard search, Use binary search check boxes to match the type of search you want.
  5. Select the Search the entire registry or Search in key radio button as you wish.
  6. Click Find.
  7. The find status dialog appears, you can click Cancel to stop searching.

How to search using wildcards?

You can use '*' and '?' as wildcard when searching registry. The '*' represent zero or more characters and the '?' represent any single character. For example, to search for all strings begin with "abc", type "abc*".

Notes

  • Duplicated matches will be removed from the Find Results automatically.
  • Binary search should be only used to search non-text information in registry.
  • You can search for partial of registry key path. For example, the key "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Command Processor" will be found when searching for "Microsoft\Command". But the replace function does not work on the found keys.
  • You can right click in the find results window to show a context menu and using this menu to manage the find results.


Replace

Replace in find results

  1. Active the find results window. If you want to replace selected items only, select the items which you want to replace.
  2. On the Search menu, click Replace in Find Result x.
  3. In Replace With, type what you want to replace.
  4. Select the Search keys, Search values, Search data, and Match Case, Match whole string check boxes to match the type of search you want.
  5. Select the Search all items in find results or Search selected items radio button as you wish.
  6. Click Replace.

Notes

  • The replace function will be disabled when using wildcard search or binary search.
  • The successfully replaced items will be removed from the find results window.


Backup and Restore

Backup and restore local registry

On the File menu, click Backup and Restore to open Backup and Restore dialog.

Backup registry

  1. Click Backup.
  2. In Comment, enter comment for the backup.
  3. In Registry hives, select the registry hives you want to backup.
  4. Click Ok.

Restore registry

  1. Select the backup you want to restore.
  2. Click Restore.
  3. Click Yes.

Edit comment

  1. Select the backup you want to edit.
  2. Click Edit.
  3. In Comment, enter new comment for the backup.
  4. Click Ok.

Delete backup

  1. Select the backup you want to delete.
  2. Click Delete.
  3. Click Yes.


Backup To

Backup local registry to a specific folder

  1. On the File menu, click Backup To.
  2. In the Browse For Folder dialog, select the folder where you want to save the backup and click Ok.
  3. In Comment, enter comment for the backup.
  4. In Registry hives, select the registry hives you want to backup.
  5. Click Ok.


Restore From

Restore local registry from a specific folder

  1. On the File menu, click Restore From.
  2. In the Browse For Folder dialog, select the folder where the backup is located.
  3. Click Ok.


Defragment

Defragment local registry

  1. On the File menu, click Defragment.
  2. Click OK.
  3. In the Defragment dialog, select the registry hives you want to defragment.
  4. Click OK.

How it work?

Registry defragmentation works by recreating each registry hive. To defragment local registry, the program backup the full registry and then restore the backup. You do not need to defragment registry after you have restored a registry backup.


Import reg file

Import some or all of the registry

  1. On the File menu, click Import.
  2. In Files of type, click Registration Files.
  3. Find the file you want to import, click the file to select it, then click Open.


Export reg file

Export all or part of the registry to a text file

  1. Select the registry key(s) and/or value(s) that you want to export.
  2. On the File menu, click Export.
  3. In File name, enter a name for the registry file.
  4. In Save as type, click Win2K/XP Registration Files or Win9x/NT Registration Files.
  5. Click Save.


Import hive

Import a registry key from a hive file

  1. Select the key in which you want to restore the hive.
  2. On the File menu, click Import.
  3. In Look in, select the drive, folder, or network computer and folder in which the hive is located.
  4. In Files of type, click Registry Hive Files.
  5. Select the correct file name for the hive.
  6. Click Open.

Notes

The Registry Hive Files will not be displayed in Files of type if you select one of the root keys.


Export hive

Export a registry key to a hive file

  1. Select the key that you want to export.
  2. On the File menu, click Export.
  3. In the Export Registry File dialog box, in Save in, click the drive, folder, or network computer and folder where you want to save the hive.
  4. In File name, enter a name for the hive.
  5. In Save as type, click Registry Hive Files.
  6. Click Save.


Load Hive

Load a hive into the registry

  1. On the File menu, click Load Hive.
  2. In Look in, click the drive, folder, or network computer and folder that contains the hive you want to load.
  3. Click Open.
  4. In Key name, type the name that you want to assign to the hive.
  5. In Parent key, click HKEY_LOCAL_MACHINE or HKEY_USERS keys.
  6. Click OK.

Notes

Load Hive and Unload Hive affect only the HKEY_LOCAL_MACHINE and HKEY_USERS keys and are active only when these predefined keys are selected. When you load a hive into the registry, the hive becomes a subkey of one of these keys.


Unload Hive

Unload a hive from the registry

  1. Select a hive that you have previously loaded onto your system.
  2. On the File menu, click Unload Hive.


Snapshot

Create snapshot of local registry

  1. On the File menu, click Create Snapshot of Local Registry.
  2. Wait several seconds and a new registry window will be opened.

Notes

You will find HKCR, HKCU and HKCC do not exist in the snapshot. Because HKLM and HKU contain all registry data. HKCR, HKCU and HKCC are just links.

    HKCR = HKCU\Software\Classes + HKLM\SOFTWARE\Classes
HKCU = HKU\SID
HKCC = HKLM\SYSTEM\CurrentControlSet\Hardware
Profiles\Current


Connect network registry

  1. On the File menu, click Connect Network Registry.
  2. In the Connect Network Registry dialog, browse or type the name of the computer to whose registry you want to connect.

Notes

You must be logged on as an administrator or a member of the Administrators group on both your computer and on the remote computer before you can make any changes to the remote computer's registry. Network policy settings may also prevent you from completing this procedure.


Disconnect network registry

To disconnect from a network registry, just close the related registry window.


Connect mobile device registry

  1. Establish a connection with your mobile device using ActiveSync.
  2. On the File menu, click Connect Mobile Device Registry.

Notes

If you disconnect and reconnect your mobile device, you must manually refresh (F5) the registry window to update the connection.


Disconnect mobile device registry

To disconnect from a mobile device registry, just close the related registry window.


Add Favorites

Add a registry key or value to Favorites

  1. Select the registry key or value you want to add to Favorites.
  2. On the Favorites menu, click Add to Favorites.
  3. In the Select Category dialog box, click the category where you want to put the Favorites item, and then click OK.
  4. In the Edit Favorites Item dialog box, modify the Display name, Key name, Value and Description, and then click OK.


Add Category

Add a category to Favorites

  1. In the Favorites window, click the category under which you would like to add a new category.
  2. On the Favorites menu, click New Category.
  3. Type a name for the new category, and then press ENTER.


Change Favorites

Change a Favorites item

  1. In the Favorites window, select the Favorites item you want to change.
  2. On the Favorites menu, click Modify.
  3. In the Edit Favorites Item dialog box, modify the Display name, Key name, Value and Description, and then click OK.


Delete Favorites

Delete Favorites item or category

  1. In the Favorites window, select the Favorites item or category you want to delete.
  2. On the Favorites menu, click Delete.


Rename Favorites

Rename a Favorites item or category

  1. In the Favorites window, select the Favorites item or category you want to rename.
  2. On the Favorites menu, click Rename.
  3. Type the new name, and then press ENTER.


Move Favorites

Move a Favorites item or category

  1. In the Favorites window, select the Favorites item or category you want to move.
  2. On the Favorites menu, click Move To.
  3. In the Select Category dialog box, click the category where you want to put the Favorites item or category, and then click OK.

Notes

You can use drag and drop to move Favorites item or category.


Copy Favorites

Copy a Favorites item or category

  1. In the Favorites window, select the Favorites item or category you want to copy.
  2. On the Favorites menu, click Copy To.
  3. In the Select Category dialog box, click the category where you want to put the Favorites item or category, and then click OK.

Notes

You can use drag and drop to copy Favorites item or category by pressing and holding the CTRL key while dragging.


Jump Favorites

Jump to the keys or values that are stored in a Favorites item

  1. In the Favorites window, double click the Favorites item.


Import Favorites

  1. On the Favorites menu, click Import.
  2. In Look in, select the drive, folder, or network computer and folder in which the Favorites file is located.
  3. Select the correct file name.
  4. Click Open.

Notes

Imported Favorites items will overwrite current items that have same name.


Export all Favorites

  1. On the Favorites menu, click Export All.
  2. In the dialog box, in Save in, click the drive, folder, or network computer and folder where you want to save the Favorites.
  3. In File name, enter a name for the Favorites file.
  4. In Save as type, click Registry Workshop Favorites Files or RegEdit Favorites.
  5. Click Save.


Export selected Favorites

  1. In the Favorites window, select the category you want to export.
  2. On the Favorites menu, click Export Selected.
  3. In the dialog box, in Save in, click the drive, folder, or network computer and folder where you want to save the Favorites.
  4. In File name, enter a name for the Favorites file.
  5. In Save as type, click Registry Workshop Favorites Files or RegEdit Favorites.
  6. Click Save.


Compare registries

  1. Open the remote registries or registry files you want to compare. If you want to compare two registry keys in local registry, skip this step.
  2. On the Tools menu, click Compare Registries.
  3. In the Compare dialog box, select the registries and registry keys you want to compare. If you want to compare all the registries, leave the registry keys blank or input "\".
  4. Click Compare.


General Settings

Jump to last active registry key on start up

Select this check box to automatically jump to the last active registry key when launching this program.

Default to read only

Select this check box to set read only mode when opening a registry editing window. You can change the read only mode of current editing window by select Read Only from the Edit menu.

Enable drag and drop

Select this check box to enable using drag and drop to do move or copy operations.

  • If you drag and drop in the same registry window, the program will move the keys or values.
  • If you press and hold CTRL key while dragging and dropping, the program will copy the keys or values.
  • If you drag and drop between two registry windows, the program will copy the keys or values.
  • If you drag a key or value to Favorites window, the program will add the key or value to Favorites.
  • If you drag inside the Favorites window, you can move or copy Favorites between category.

Try to open registry keys by force if access is denied

If this program is running under the administrator privilege, this settings will allow you to open registry keys normally have no right to access it.

Show most recently used files

Select this check box to show recently used registry files on File menu.

Max num

This settings allow you to set the maximum number of recently used files displayed on File menu. The default setting is 10.

Show most recently used files on submenus

When selected, the recently used registry files are listed on submenus of the File menu. Otherwise, the recently used registry files are listed on the File menu itself.

Save undo history of local registry on exit

Select this check box to save undo history of local registry on exit.

Maximum size of undo history

This settings allow you to set the maximum number of actions in undo history. If the size of undo history exceed this size, the program will remove the oldest action. The default setting is 1000.

Maximum size of find results

This settings allow you to set the maximum size of find results. The default setting is 1000.

Language

This settings allow you set the interface language of this program.


Prompt Settings

Confirm delete keys or values

Select this check box to popup a confirm message box when executing delete or cut command.

Confirm overwrite keys or values

Select this check box to popup a confirm message box when writing to keys or values that already exist.

Confirm move operations when dragging and dropping

Select this check box to popup a confirm message box when dragging and dropping to move registry keys, registry values or Favorites.

Confirm copy operations when dragging and dropping

Select this check box to popup a confirm message box when dragging and dropping to copy registry keys, registry values or Favorites.

Confirm import registry hive file

Select this check box to popup a confirm message box when importing a registry hive file.

Confirm undo or redo actions in History window

Select this check box to popup a confirm message box when selecting 'Undo This Action', 'Redo This Action' or 'Goto Here' from the context menu in History window.

Prompt to create key when jumping to a non-existing key

Select this check box to prompt the user to create the missing key when jumping to a non-existing key.

Show error message when jumping to a non-existing value

Select this check box to show a error message when jumping to a non-existing value.

Play a sound when the find is complete

Select this check box to play a sound to notify you when the find is complete.

Prompt to add comment when exporting registry to a file

Select this check box to popup a "Edit Comment" Dialog when exporting registry to a file.


Display Settings

Show registry keys in list view

Select this check box to show both registry keys and values in list view.

Full row select in list view

Select this check box to set full row select mode to list view.

Color of access denied registry keys

This settings allow you custom the display color of registry keys that return access denied error when opening normally.

Color of items marked as delete in .reg file

This settings allow you custom the display color of registry keys and values that marked as delete in the editing file.

Color of search hits in find results

This settings allow you custom the display color of search hits in find results.

Color of bookmark

This settings allow you custom the background color of bookmarked registry items.

Font

This settings allow you set the font in tree views and list views.


Directories Settings

Favorites

Specifies the directory where the Favorites configuration file is stored. Registry Workshop will try to load Favorites configuration file favorites.dat in this directory on startup.

Registry backups

Specifies the directory where the registry backups are stored.

HTML reports

Specifies the directory where the HTML reports of find results and compare results are stored.


Shell Settings

Show context menu on .reg files

Select this check box to show 'Registry Workshop' menu item on context menu when right clicking on .reg files.

Show Registry Workshop on desktop

Select this check box to create a shortcut of this program on the desktop. Clear this check box to delete the shortcut from desktop.